## org.eclipse.emf.codegen.ecore.genmodel.util
Class GenModelAdapterFactory

    java.lang.Object
      org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
          org.eclipse.emf.codegen.ecore.genmodel.util.GenModelAdapterFactory

All Implemented Interfaces:
  AdapterFactory

Direct Known Subclasses:
  GenModelGeneratorAdapterFactory, GenModelItemProviderAdapterFactory

    public class GenModelAdapterFactory

extends AdapterFactoryImpl

The Adapter Factory for the model. It provides an adapter `createXXX` method for each class of the model.

See Also:
  `GenModelPackage`

Field Summary
`protected static GenModelPackage` `modelPackage` The cached model package
`protected GenModelSwitch<Adapter>` `modelSwitch` The switch the delegates to the `createXXX` methods

Constructor Summary
`GenModelAdapterFactory()` Creates an instance of the adapter factory

Method Summary
`Adapter` `createAdapter(Notifier target)` Creates an adapter for the `target`
`Adapter` `createEObjectAdapter()` Creates a new adapter for the default case
`Adapter` `createGenAnnotationAdapter()` Creates a new adapter for an object of class '`Gen Annotation`'
`Adapter` `createGenBaseAdapter()` Creates a new adapter for an object of class '`Gen Base`'
`Adapter` `createGenClassAdapter()` Creates a new adapter for an object of class '`Gen Class`'
`Adapter` `createGenClassifierAdapter()` Creates a new adapter for an object of class '`Gen Classifier`'
`Adapter` `createGenDataTypeAdapter()` Creates a new adapter for an object of class '`Gen Data Type`'
`Adapter` `createGenEnumAdapter()` Creates a new adapter for an object of class '`Gen Enum`'
`Adapter` `createGenEnumLiteralAdapter()` Creates a new adapter for an object of class '`Gen Enum Literal`'
`Adapter` `createGenFeatureAdapter()` Creates a new adapter for an object of class '`Gen Feature`'
`Adapter` `createGenModelAdapter()` Creates a new adapter for an object of class '`Gen Model`'
`Adapter` `createGenOperationAdapter()` Creates a new adapter for an object of class '`Gen Operation`'
`Adapter` `createGenPackageAdapter()` Creates a new adapter for an object of class '`Gen Package`'
`Adapter` `createGenParameterAdapter()` Creates a new adapter for an object of class '`Gen Parameter`'
`Adapter` `createGenTypedElementAdapter()` Creates a new adapter for an object of class '`Gen Typed Element`'
`Adapter` `createGenTypeParameterAdapter()` Creates a new adapter for an object of class '`Gen Type Parameter`'
`boolean` `isFactoryForType(java.lang.Object object)` Returns whether this factory is applicable for the type of the object

Methods inherited from class org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
`adapt, adapt, adaptAllNew, adaptNew, associate, createAdapter, resolve`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### modelPackage

    protected static GenModelPackage modelPackage

  The cached model package.

### modelSwitch

    protected GenModelSwitch<Adapter> modelSwitch

  The switch the delegates to the `createXXX` methods.

Constructor Detail

### GenModelAdapterFactory

    public GenModelAdapterFactory()

  Creates an instance of the adapter factory.

Method Detail

### isFactoryForType

    public boolean isFactoryForType(java.lang.Object object)

  Returns whether this factory is applicable for the type of the object. This implementation returns `true` if the object is either the model's package or is an instance object of the model.

  Specified by:
    `isFactoryForType` in interface `AdapterFactory`
  Overrides:
    `isFactoryForType` in class `AdapterFactoryImpl`
  Parameters:
    `object` - the key indicating the type of adapter in question.
  Returns:
    whether this factory is applicable for the type of the object.
  See Also:
    `Adapter.isAdapterForType(java.lang.Object)`

### createAdapter

    public Adapter createAdapter(Notifier target)

  Creates an adapter for the `target`.

  Overrides:
    `createAdapter` in class `AdapterFactoryImpl`
  Parameters:
    `target` - the object to adapt.
  Returns:
    the adapter for the `target`.
  See Also:
    `AdapterFactoryImpl.createAdapter(Notifier)`

### createGenModelAdapter

    public Adapter createGenModelAdapter()

  Creates a new adapter for an object of class '`Gen Model`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `GenModel`

### createGenPackageAdapter

    public Adapter createGenPackageAdapter()

  Creates a new adapter for an object of class '`Gen Package`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `GenPackage`

### createGenClassAdapter

    public Adapter createGenClassAdapter()

  Creates a new adapter for an object of class '`Gen Class`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `GenClass`

### createGenFeatureAdapter

    public Adapter createGenFeatureAdapter()

  Creates a new adapter for an object of class '`Gen Feature`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `GenFeature`

### createGenBaseAdapter

    public Adapter createGenBaseAdapter()

  Creates a new adapter for an object of class '`Gen Base`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `GenBase`

### createGenEnumAdapter

    public Adapter createGenEnumAdapter()

  Creates a new adapter for an object of class '`Gen Enum`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `GenEnum`

### createGenEnumLiteralAdapter

    public Adapter createGenEnumLiteralAdapter()

  Creates a new adapter for an object of class '`Gen Enum Literal`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `GenEnumLiteral`

### createGenClassifierAdapter

    public Adapter createGenClassifierAdapter()

  Creates a new adapter for an object of class '`Gen Classifier`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `GenClassifier`

### createGenDataTypeAdapter

    public Adapter createGenDataTypeAdapter()

  Creates a new adapter for an object of class '`Gen Data Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `GenDataType`

### createGenOperationAdapter

    public Adapter createGenOperationAdapter()

  Creates a new adapter for an object of class '`Gen Operation`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `GenOperation`

### createGenParameterAdapter

    public Adapter createGenParameterAdapter()

  Creates a new adapter for an object of class '`Gen Parameter`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `GenParameter`

### createGenTypedElementAdapter

    public Adapter createGenTypedElementAdapter()

  Creates a new adapter for an object of class '`Gen Typed Element`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `GenTypedElement`

### createGenAnnotationAdapter

    public Adapter createGenAnnotationAdapter()

  Creates a new adapter for an object of class '`Gen Annotation`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `GenAnnotation`

### createGenTypeParameterAdapter

    public Adapter createGenTypeParameterAdapter()

  Creates a new adapter for an object of class '`Gen Type Parameter`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `GenTypeParameter`

### createEObjectAdapter

    public Adapter createEObjectAdapter()

  Creates a new adapter for the default case. This default implementation returns null.

  Returns:
    the new adapter.

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.